Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionAccount

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionAccount

All Implemented Interfaces:
  `ContractIdable`

public class VoiceSessionAccount extends ContractId
Наработка сессии в секундах и денежном выражении по определенному договору.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionAccount()`
  `VoiceSessionAccount(VoiceSession session, int serviceId, BigDecimal account, long amount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAccount()`
  Получение значения наработки в денежном выражении.
  `long`
  `getAmount()`
  Получение значения наработки в секундах.
  `int`
  `getDeviceId()`
  `Date`
  `getHour()`
  `int`
  `getServiceId()`
  Получение кода услуги, по которой было произведено начисление наработки.
  `long`
  `getSessionId()`
  Получение кода сессии, к которой привязана данная наработка.
  `VoiceSessionAccount`
  `setAccount(BigDecimal account)`
  Установка наработки в денежном выражении.
  `VoiceSessionAccount`
  `setAmount(long amount)`
  Установка наработки в секундах.
  `VoiceSessionAccount`
  `setContractId(int contractId)`
  Установка кода договора, наработку которого представляет данный объект.
  `VoiceSessionAccount`
  `setDeviceId(int deviceId)`
  `VoiceSessionAccount`
  `setHour(Date hour)`
  `VoiceSessionAccount`
  `setServiceId(int serviceId)`
  Установка кода услуги, по которой начисляется наработка.
  `VoiceSessionAccount`
  `setSessionId(long sessionId)`
  Установка кода сессии для наработки.

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionAccount

    public VoiceSessionAccount()

  - ### VoiceSessionAccount

    public VoiceSessionAccount(VoiceSession session, int serviceId, BigDecimal account, long amount)

- ## Method Details

  - ### getAccount

    public BigDecimal getAccount()
    Получение значения наработки в денежном выражении.
    Returns:
      значение наработки в деньгах.

  - ### getAmount

    public long getAmount()
    Получение значения наработки в секундах.
    Returns:
      наработка в секундах

  - ### getDeviceId

    public int getDeviceId()

  - ### getHour

    public Date getHour()

  - ### getServiceId

    public int getServiceId()
    Получение кода услуги, по которой было произведено начисление наработки. Данный код услуги совпадает с тем, что отображается в Редакторе модулей и услуг.
    Returns:
      код услуги.

  - ### getSessionId

    public long getSessionId()
    Получение кода сессии, к которой привязана данная наработка.
    Returns:
      код сессии.

  - ### setAccount

    public VoiceSessionAccount setAccount(BigDecimal account)
    Установка наработки в денежном выражении.
    Parameters:
      `account` - значение наработки в деньгах.

  - ### setAmount

    public VoiceSessionAccount setAmount(long amount)
    Установка наработки в секундах.
    Parameters:
      `amount` - наработка в секундах.

  - ### setContractId

    public VoiceSessionAccount setContractId(int contractId)
    Установка кода договора, наработку которого представляет данный объект.
    Overrides:
      `setContractId` in class `ContractId`
    Parameters:
      `contractId` - код договора.

  - ### setDeviceId

    public VoiceSessionAccount setDeviceId(int deviceId)

  - ### setHour

    public VoiceSessionAccount setHour(Date hour)

  - ### setServiceId

    public VoiceSessionAccount setServiceId(int serviceId)
    Установка кода услуги, по которой начисляется наработка. Данный код услуги совпадает с тем, что отображается в Редакторе модулей и услуг.
    Parameters:
      `serviceId` - код услуги.

  - ### setSessionId

    public VoiceSessionAccount setSessionId(long sessionId)
    Установка кода сессии для наработки.
    Parameters:
      `sessionId` - код сессии.